Page MenuHomePhabricator

Missing namespace 'Topic' in Telugu Wikipedia (te.wikipedia.org)
Closed, ResolvedPublic

Description

Whenever I run any script in pywikibot on te-wikipedia, I get following error :
"Missing namespace in family file wikipedia: namespace['te'][2600] (it is set to 'Topic')"

Steps to reproduce :

  1. Login to pywikipediabot into te.wikipedia (Project:Wikipedia, lannguage:te)
  2. Try to run any script, eg
python editarticle.py
  1. You will see the warning :

"Missing namespace in family file wikipedia: namespace['te'][2600] (it is set to 'Topic')"

Can this be fixed? Though its not an alarming issue, why do I face this?
Topi is "అంశం" in Telugu.

Details

Related Gerrit Patches:
pywikibot/compat : masterUpdate namespace aliases

Event Timeline

tuxnani created this task.Mar 31 2015, 6:59 PM
tuxnani raised the priority of this task from to Normal.
tuxnani updated the task description. (Show Details)
tuxnani added a subscriber: tuxnani.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2015, 6:59 PM
tuxnani updated the task description. (Show Details)Mar 31 2015, 7:04 PM
tuxnani set Security to None.
Restricted Application added a subscriber: Unknown Object (MLST). · View Herald TranscriptMar 31 2015, 9:06 PM
XZise added a subscriber: XZise.EditedMar 31 2015, 9:10 PM

You sure this is Pywikibot and not Pywikibot-compat ? In core the family files don't store the namespaces anymore but are queried via the API.

XZise edited projects, added Pywikibot-compat; removed Pywikibot.Mar 31 2015, 9:17 PM

Okay the name “pywikipediabot” and the behavior looks like compat and not core. Also a quick check shows that the text is probably only in compat:

xzise@localhost:~/Programms/pywikibot/core$ git grep 'Missing namespace'
xzise@localhost:~/Programms/pywikibot/compat$ git grep 'Missing namespace'
wikipedia.py:                warning(u"Missing namespace in family file "
wikipedia.py:                warning(u"Missing namespace in family file "
jayvdb lowered the priority of this task from Normal to Low.Apr 1 2015, 6:53 AM
jayvdb added a subscriber: jayvdb.

@tuxnani , you can fix this by editing the family file families/wikipedia_family.py. Add a patch to Gerrit and we'll merge it. See https://www.mediawiki.org/wiki/Gerrit/Getting_started

However, also try to use pywikibot-core , which is better maintained (https://www.mediawiki.org/wiki/Manual:Pywikibot/Installation#Two_versions_of_pywikibot)

XZise removed a subscriber: XZise.May 11 2015, 9:16 PM
Xqt claimed this task.May 14 2015, 9:49 AM

Change 210879 had a related patch set uploaded (by Xqt):
Update namespace aliases

https://gerrit.wikimedia.org/r/210879

Change 210879 merged by jenkins-bot:
Update namespace aliases

https://gerrit.wikimedia.org/r/210879

Xqt closed this task as Resolved.May 14 2015, 10:25 AM